Public Member Functions | Public Attributes | List of all members
libzmf::ColorBitmap Struct Reference

`#include <BMITypes.h>`

## Public Member Functions
| ColorBitmap ()

## Public Attributes
uint32_t | width
uint32_t | height
std::vector< Color > | data

## Constructor & Destructor Documentation

## ◆ ColorBitmap()

libzmf::ColorBitmap::ColorBitmap | ( |  | ) |
| inline

## Member Data Documentation

## ◆ data

std::vector<Color> libzmf::ColorBitmap::data

Referenced by libzmf::BMIParser::readColorBitmap().

## ◆ height

uint32_t libzmf::ColorBitmap::height

Referenced by libzmf::BMIParser::readColorBitmap(), and libzmf::BMIParser::readImage().

## ◆ width

uint32_t libzmf::ColorBitmap::width

Referenced by libzmf::BMIParser::readColorBitmap(), and libzmf::BMIParser::readImage().

The documentation for this struct was generated from the following file:

- BMITypes.h